/**
 * @(#) FitToScreenCommand.java
 */

package venice;


/**
 * Class which creates visualisation for
 * required interfaces in current visualization
 * 
 * @author	Antti Pietarinen
 * @version	1.1
 * 
 */
public class FitToScreenCommand extends Command
{
	/**
	 * 
	 * 
	 */
	public void execute()
	{
	    mModel		= getAppModule().getModelStorage();
	    mVisualization	= getAppModule().getGui().getVisualization();
	    
	    mVisualization.zoomTo(mVisualization.getRootPackage());
	}
	/**
	 * Private variable to hold the ModelStorage instance that is needed
	 * in various places in the recursive action of this object. 
	 */
	private ModelStorage  mModel		= null;
	
	/**
	 * Private variable to hold the Visualization instance that is needed
	 * in various places in the recursive action of this object. 
	 */
	private Visualization mVisualization	= null;

}
