package venice;

/**
 * Nodes which implement this interface can be asked to enable or
 * disable listening of events from other nodes. Enabling and disabling
 * of event listening is done for performance reasons. Enabling is
 * also needed after deserialization because listener connections are
 * not saved in the serialisation file.
 *
 * @author Hannu Laurila
 */
public interface ListenerStateChangeable
{
    /**
     * sets all listeners of this object uses to be either enabled or
     * disabled. 
     *
     * @param inEnabled new state for listeners
     * @param inRecurse whether to recurse to vmodelelement children
     */
    public void setListenersEnabled(boolean inEnabled, boolean inRecurse);
}
