package venice;

/**
 * This class is a representation for model elements  in the model.
 *
 * @author Sami Ilonen
 */

public abstract class MElement {

	private String mId;
	private String mName;
	private String mType;

	public MElement (String inId, String inName, String inType) {
		this.mId = inId;
		this.mName = inName;
		this.mType = inType;
	}

	/**
	 * Returns the id of the model element.
	 *
	 * @return Returns the id of the model element.
	 */

	public String getId() {
		return mId;
	}

	/**
	 * Returns the name of the model element.
	 *
	 * @return Returns the name of the model element.
	 */

	public String getName() {
		return mName;
	}

	/**
	 * Returns the type of the model element.
	 *
	 * @return Returns the type of the model element.
	 */

	public String getType() {
		return mType;
	}

	/**
	 * Returns the XML-representation of this model element.
	 *
	 * @return Returns the XML-representation of this model element.
	 */

	abstract public String toXML();
}
