/**
 * @(#) MakePackageTransparentCommand.java
 */

package venice;

import java.util.*;


/**
 * Makes selected packages 'transparent'. That means that all their children's
 * relationships will be moved to the package level, but the children aren't
 * hidden.
 * 
 * @author	Petteri Kamppuri
 * @version	1.0
 * 
 */
public class MakePackageTransparentCommand extends Command
{
    /**
     *
     */
    public void execute()
    {
	/* Get current selection from visualisation */
	VModelElement[] mySelection = getAppModule().getGui().getVisualization().getSelection();
	
	if(mySelection != null) {
	    // Iterate through selected nodes and handle all of type VPackage
	    for(int i = 0; i < mySelection.length; ++i) {
		if(mySelection[i] instanceof VPackage) {
		    //makePackageTransparent((VPackage) mySelection[i]);
		    VPackage myTempPackage = (VPackage) mySelection[i];
		    
		    ClosePackageCommand.moveAllChildRelationshipsToThisPackage(myTempPackage);
		    //closePackage((VPackage) mySelection[i]);
		    //myChildren[j].setVisible(false);
		    myTempPackage.setShowContent(true);
		    myTempPackage.setState(VPackage.TRANSPARENT);
		}
	    }
	}
	
    }
}
