package venice;

import java.util.LinkedList;
import java.util.ListIterator;

public class Node {

	private String id;
	private String nodeType;
	private String name;
	private String type;
	private LinkedList operation;

	Node() {
		this.id = "";
		this.nodeType = "";
		this.name = "";
		this.type = "";
		operation = new LinkedList();
	}

	public void setID(String id) {
		this.id = id;       		
	}
	public void setNodeType(String nodeType) {
		this.nodeType = nodeType;
	}
	public void setName(String name) {
		this.name = name;
	}
	public void setType(String type) {
		this.type = type;
	}
	public void addOperation(String operation) {
		this.operation.addLast(operation);
	}
	public String getID() {
		return id;
	}
	public String getNodeType() {
		return nodeType;
	}
	public String getName() {
		return name;
	}
	public String getType() {
		return type;
	}
	public LinkedList getOperations() {
		return this.operation;
	}

	public String toString() {
		String rvalue = "";
		LinkedList ops = getOperations(); 
		ListIterator it = ops.listIterator();
		String sep = "\n";  // separator used

		rvalue+= "ID: " + getID() +sep;
		rvalue+= "NODE_TYPE: "+  getNodeType() + sep;
		rvalue+= "NAME:" + getName() +sep;
		rvalue+= "TYPE:" + getType() +sep;
		while (it.hasNext()) {
			rvalue+= "OPERATION:" + (String) it.next();
			rvalue+= sep;
		}
		rvalue+= "-----------\n";
		return rvalue;
	}
}
