package venice;

import java.io.*;
import javax.swing.*;

/**
 * .venice-saving to a file.
 *
 * @author Hannu Laurila
 */
public class SaveFileCommand extends SaveCommand
{
    /**
     * asks user for file location and opens outputstream to the file.
     */
    protected OutputStream getOutputStream()
    {
        JFileChooser myFC = new JFileChooser();
	VeniceFileFilter myFF = new VeniceFileFilter();
	
        myFC.addChoosableFileFilter(myFF);
        
        int returnVal = myFC.showSaveDialog(null);

        if(returnVal != JFileChooser.APPROVE_OPTION)
            return null;

        try {
            File mySaveFile = myFC.getSelectedFile();

	    // if .venice-filefilter is selected and target name does not
	    // have .venice-extension, add it.

	    if (mySaveFile.getName().indexOf('.') == (-1) && 
		myFC.getFileFilter() == myFF) {
		String myCanonicalFN = 
		    mySaveFile.getCanonicalPath() + 
		    myFF.getJoinableExtension();

		mySaveFile = new File(myCanonicalFN);
	    }		    
		
            OutputStream myOs = new FileOutputStream(mySaveFile);
            return myOs;
        }
        catch (IOException ex) {
            Util.handleException(ex);
        }

        return null;
    }
}
