
package venice;

/**
 * This command changes selected interfaces visualization so that
 * they will be shown in expanded class-style notation
 *
 * If other elements than VInterfaces are selected, they are skipped.
 *
 * @author Hannu Laurila
 */
public class ShowInterfaceContentCommand extends Command
{
    public void execute()
    {
        Visualization mVisualization = 
            getAppModule().getGui().getVisualization();
        VModelElement[] mSelection = 
            mVisualization.getSelection();

        if (mSelection == null)
            return;
        
        for (int i = 0; i < mSelection.length; i++) {
            if ((mSelection[i] != null) && 
                (mSelection[i] instanceof VInterface)) {
                VInterface myInterface = (VInterface) mSelection[i];
                myInterface.setViewMode(VInterface.VIEWMODE_EXPANDED);
            }
        }
    }
}
