/**
 * @(#) ZoomToSelectionCommand.java
 */

package venice;

import java.util.*;
/**
 * Class which creates visualisation for
 * required interfaces in current visualization
 * 
 * @author	Antti Pietarinen
 * @version	1.1
 * 
 */
public class ZoomToSelectionCommand extends Command
{
	/**
	 * 
	 * 
	 */
	public void execute()
	{
		mModel		= getAppModule().getModelStorage();
		mVisualization	= getAppModule().getGui().getVisualization();
		
		/* Current selection from visualisation subsystem*/
		VModelElement[] mySelection = mVisualization.getSelection();
		if(mySelection != null){	    
			if(mySelection.length == 1){
				mVisualization.zoomTo(mySelection[0]);
				
				/* Debugging code added by Petteri Kamppuri
				LinkedList myTempList = mySelection[0].getRelationships(null);
				ListIterator myIterator = myTempList.listIterator(0);
				while(myIterator.hasNext())
					System.err.println(myIterator.next());
				*/
			}
			else if(mySelection.length > 1){
				mVisualization.zoomToSelection();
			}
		}
	}
	/**
	 * Private variable to hold the ModelStorage instance that is needed
	 * in various places in the recursive action of this object. 
	 */
	private ModelStorage  mModel		= null;
	
	/**
	 * Private variable to hold the Visualization instance that is needed
	 * in various places in the recursive action of this object. 
	 */
	private Visualization mVisualization	= null;

}
